clang-tools 10.0.0

Functions
clang::clangd::detail Namespace Reference

## Functions
const char * | debugType (const char *Filename)
void | log (Logger::Level, const llvm::formatv_object_base &)
template<typename T >
T && | wrap (T &&V)
decltype(fmt_consume(llvm::Error::success())) | wrap (llvm::Error &&V)
template<typename... Ts>
void | log (Logger::Level L, const char *Fmt, Ts &&... Vals)

## Function Documentation

## ◆ debugType()

const char * clang::clangd::detail::debugType | ( | const char * | Filename | ) |

Definition at line 41 of file Logger.cpp.

References Filename.

## ◆ log() [1/2]

void clang::clangd::detail::log | ( | Logger::Level | Level,
|  | const llvm::formatv_object_base & | Message
| ) |  |

Definition at line 30 of file Logger.cpp.

Referenced by clang::clangd::elog(), log(), clang::clangd::log(), clang::clangd::quality(), and clang::clangd::vlog().

## ◆ log() [2/2]

template<typename... Ts>

void clang::clangd::detail::log | ( | Logger::Level | L,
|  | const char * | Fmt,
|  | Ts &&... | Vals
| ) |  |

Definition at line 45 of file Logger.h.

References log(), and wrap().

## ◆ wrap() [1/2]

template<typename T >

T&& clang::clangd::detail::wrap | ( | T && | V | ) |

Definition at line 40 of file Logger.h.

Referenced by clang::clangd::TweakTest::apply(), and log().

## ◆ wrap() [2/2]

decltype(fmt_consume(llvm::Error::success())) clang::clangd::detail::wrap | ( | llvm::Error && | V | ) |
| inline

Definition at line 41 of file Logger.h.